X Window System Unified Protocol
--------------------------------

This package provides the headers and specification documents defining
the core protocol and (many) extensions for the X Window System. The
extensions are those common among servers descended from X.Org 6.7. It
also includes a number of headers that aren't purely protocol related,
but are depended upon by many other X Window System packages to provide
common definitions and porting layer.

Though the protocol specifications herein are authoritative, the
content of the headers is bound by compatibility constraints with older
versions of the X11 suite. If you are looking for a machine-readable
protocol description suitable for code generation or use in new
projects, please refer to the XCB project:

  https://xcb.freedesktop.org/
  https://cgit.freedesktop.org/xcb/proto

All questions regarding this software should be directed at the
Xorg mailing list:

  https://lists.x.org/mailman/listinfo/xorg

The master development code repository can be found at:

  https://gitlab.freedesktop.org/xorg/proto/xorgproto

Please submit bug reports and requests to merge patches there.

For patch submission instructions, see:

  https://www.x.org/wiki/Development/Documentation/SubmittingPatches

